Package org.gradle.api.publish

## Interface PublicationArtifact

- All Superinterfaces:
    `Buildable`
  All Known Subinterfaces:
    `IvyArtifact`, `MavenArtifact`

      public interface PublicationArtifact
      extends Buildable

  An artifact published as part of a `Publication`.
  Since:
    4.8

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `builtBy​(Object... tasks)` | Registers some tasks which build this artifact.
    `File` | `getFile()` | The actual file contents to publish.

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

- - ### Method Detail

    - #### getFile

          File getFile()

      The actual file contents to publish.

    - #### builtBy

          void builtBy​(Object... tasks)

      Registers some tasks which build this artifact.
      Parameters:
        `tasks` - The tasks. These are evaluated as per `Task.dependsOn(Object...)`.